Contact sales

POST/billing/v1/contact-sales

Submits a sales contact request for the organization.

Authorization<token>

In: header

Request Body

required
application/json
{
  "$ref": "#/components/schemas/internal_billing.contactSalesBody",
  "$ref-value": {
    "properties": {
      "company": {
        "type": "string"
      },
      "email": {
        "type": "string"
      },
      "first_name": {
        "type": "string"
      },
      "job_title": {
        "type": "string"
      },
      "last_name": {
        "type": "string"
      },
      "message": {
        "type": "string"
      },
      "phone": {
        "type": "string"
      },
      "website": {
        "type": "string"
      }
    },
    "required": [
      "company",
      "email",
      "first_name",
      "last_name",
      "phone"
    ],
    "type": "object"
  }
}

Response Body

201application/json

Created

type: unknown

{
  "$ref": "#/components/schemas/billingv1.SalesLead",
  "$ref-value": {
    "properties": {
      "company": {
        "type": "string"
      },
      "created_at": {
        "type": "string"
      },
      "email": {
        "type": "string"
      },
      "first_name": {
        "type": "string"
      },
      "id": {
        "type": "string"
      },
      "job_title": {
        "type": "string"
      },
      "last_name": {
        "type": "string"
      },
      "message": {
        "type": "string"
      },
      "org_id": {
        "type": "string"
      },
      "phone": {
        "type": "string"
      },
      "status": {
        "type": "string"
      },
      "user_id": {
        "type": "string"
      },
      "website": {
        "type": "string"
      }
    },
    "type": "object"
  }
}
curl -X POST "https://api.rixl.com/billing/v1/contact-sales" \
  -H "Content-Type: application/json" \
  -d '{
    "company": "string",
    "email": "string",
    "first_name": "string",
    "last_name": "string",
    "phone": "string"
  }'

Created

application/json

{
  "$ref": "#/components/schemas/billingv1.SalesLead",
  "$ref-value": {
    "properties": {
      "company": {
        "type": "string"
      },
      "created_at": {
        "type": "string"
      },
      "email": {
        "type": "string"
      },
      "first_name": {
        "type": "string"
      },
      "id": {
        "type": "string"
      },
      "job_title": {
        "type": "string"
      },
      "last_name": {
        "type": "string"
      },
      "message": {
        "type": "string"
      },
      "org_id": {
        "type": "string"
      },
      "phone": {
        "type": "string"
      },
      "status": {
        "type": "string"
      },
      "user_id": {
        "type": "string"
      },
      "website": {
        "type": "string"
      }
    },
    "type": "object"
  }
}